
Foreman - Feature #746

Generate all the Host template when click on Build to avoid errors during installation

03/15/2011 03:15 PM - Arnaud Sourioux

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Unattended installations   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1753

  

Description

When I click on build only the PXELinux template is parsed,

so if there is an error in my others templates, such a preseed or finish templates,

they will append during the installation,

so it could be a good thing to parse them before validate the build action

and if there are error on them, display them to the user and avoid the build action

Related issues:

Related to Foreman - Feature #1536: Foreman should check DHCP entries on build Closed 03/16/2012

Related to Foreman - Bug #8321: Regression in 6e916e5 - Templates for image-b... Closed 11/07/2014

Related to Foreman - Bug #9694: Usage of "osver" in templates give error when... New 03/10/2015

Related to Foreman - Bug #9695: Clearer template errors should be given durin... New 03/10/2015

Related to Foreman - Bug #10338: Using template_name variable in template cau... New 04/30/2015

Related to Foreman - Feature #10407: Build review form should trigger on New ... New 05/07/2015

Related to Foreman - Feature #3861: Better logging/reporting/audit of provisi... Resolved 12/12/2013

Related to Foreman - Bug #11127: Host Build and Reboot shows template error w... Closed 07/15/2015

Related to Foreman - Feature #11202: Show a warning if not all essential prov... New 07/23/2015

Related to Foreman - Bug #1523: http://foreman/unattended/provision should ma... New 03/08/2012

Associated revisions

Revision 6e916e52 - 10/26/2014 02:25 PM - Shlomi Zadok

Fixes #746 - Generate all the Host template when click on Build to avoid errors during installation

Revision 203d2bb5 - 10/29/2014 08:49 AM - Dominic Cleal

refs #746 - fix string interpolation ordering

Revision e5fa6002 - 10/29/2014 12:53 PM - Dominic Cleal

refs #746 - fix string interpolation ordering

(cherry picked from commit 203d2bb58633f8c176eaa08e5178c7f3f350f2dd)

Revision 42085b76 - 11/04/2014 05:02 AM - Dominic Cleal

refs #746 - hosts stylesheet is part of app.css, not standalone

Revision 22b4e6d2 - 11/10/2014 11:09 AM - Dominic Cleal

refs #746 - hosts stylesheet is part of app.css, not standalone

(cherry picked from commit 42085b760b91f7075a6e028ba3a85c7d422f1591)

History

#1 - 09/11/2014 04:36 AM - The Foreman Bot
- Description updated

- Status changed from New to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1753 added

#2 - 09/12/2014 10:18 AM - Daniel Lobato Garcia

- Assignee changed from Ohad Levy to Shlomi Zadok

#3 - 09/30/2014 10:31 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#4 - 10/01/2014 07:29 AM - Ohad Levy

- Related to Feature #1536: Foreman should check DHCP entries on build added

#5 - 10/26/2014 03:01 PM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6e916e5286e5c119c9360f089188b7813f651d31.

#6 - 10/26/2014 03:47 PM - Ohad Levy

- translation missing: en.field_release set to 21

#7 - 11/10/2014 04:14 AM - Dominic Cleal

- Related to Bug #8321: Regression in 6e916e5 - Templates for image-based hosts can no longer be rendered added

#8 - 03/10/2015 07:19 AM - Dominic Cleal

- Related to Bug #9694: Usage of "osver" in templates give error when setting build mode. added

#9 - 03/10/2015 07:24 AM - Dominic Cleal

- Related to Bug #9695: Clearer template errors should be given during build review added

#10 - 05/01/2015 03:24 AM - Dominic Cleal

- Related to Bug #10338: Using template_name variable in template causes error in Build Review added

#11 - 05/07/2015 06:13 AM - Lukas Zapletal

- Related to Feature #10407: Build review form should trigger on New host form when Build mode was checked added

#12 - 05/07/2015 06:15 AM - Lukas Zapletal

- Related to Feature #3861: Better logging/reporting/audit of provisioning including contents added

#13 - 07/16/2015 04:36 AM - Dominic Cleal

- Related to Bug #11127: Host Build and Reboot shows template error when reboot fails added

#14 - 07/24/2015 06:05 AM - Dominic Cleal

- Related to Feature #11202: Show a warning if not all essential provisioning templates are associated with an OS added

#15 - 03/15/2016 06:02 AM - Ohad Levy

- Related to Bug #1523: http://foreman/unattended/provision should match http://foreman/unattended/provision?spoof=xxx.xxx.xxx.xxx added
